#!/bin/sh
#
# Purpose: convert text files generated from evaluation of EC-Earth
# into other text files readable by subsequent R scripts

explist=(a0q8 a0qb)


for exp in "${explist[@]}"
do
  echo $exp
  exit
  for var in t2m msl qnet tp ewss nsss SST SSS SICE ; do
    echo $var
    cat ~fmassonn/EC-Earth_Performance/ECmean/e012/fc?/PI2_RK08_e012_1850_1869.txt  | grep $var | awk {'print $2'} > e012_$var.txt
  done
done

for var in T U V Q ; do
  echo $var
#  cat ~fmassonn/EC-Earth_Performance/ECmean/e00x/fc?/PI2_RK08_e00x_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > e00x_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/e00y/fc?/PI2_RK08_e00y_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > e00y_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/m04y/fc?/PI2_RK08_m04y_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > m04y_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/i06c/fc?/PI2_RK08_i06c_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > i06c_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/i077/fc?/PI2_RK08_i077_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > i077_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/m069/fc?/PI2_RK08_m069_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > m069_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/m06e/fc?/PI2_RK08_m06e_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > m06e_$var.txt
#  cat ~fmassonn/EC-Earth_Performance/ECmean/e011/fc?/PI2_RK08_e011_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > e011_$var.txt
  cat ~fmassonn/EC-Earth_Performance/ECmean/e012/fc?/PI2_RK08_e012_1850_1869.txt  | grep $var | grep zonal | awk {'print $2'} > e012_$var.txt
done
